<%@ page language="java" contentType="text/html; charset=EUC-KR" pageEncoding="EUC-KR" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.List" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="tf" tagdir="/WEB-INF/tags"%> 
<%@ taglib prefix="elfunc" uri="/WEB-INF/tlds/elfunction.tld" %> 

<!DOCTYPE html>
<html>
<head>
<meta charset="EUC-KR">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
<title>Person List</title>
</head>
<body>

	<tf:menu BMI="ListViewPersonBMIAction.do?mode=BMI" BMR="ListViewPersonBMRAction.do?mode=BMR" BFP="ListViewPersonBFPAction.do?mode=BFP" />
	<c:set var="title" value="${mode} Calculator Table" />
	
	<div class="jumbotron">
		<div class="container">
			<h1 class="display-3">${title}</h1>
		</div>
	</div>
		
	<div class="container">
	<tf:personList personList="${personList}" mode="${mode}" />			
	<hr>
	<jsp:include page="personForm.jsp?mode=${mode}" />
	</div>
	
	<hr>
	<c:forEach var="person" items="${personList}">
	<tf:person name="${person.name}" age="${person.age}" gender="${person.gender}" height="${person.height}" weight="${person.weight}" neck="${person.neck}" waist="${person.waist}" hip="${person.hip}" /><p>
	</c:forEach>

	<hr>
	<div class="container">
	<tf:sum begin="1" end="10">
	1-10 : ${sum} ± Ͽ  "sum" EL  
	</tf:sum>
	</div>
	
	<hr>
	<div class="container">
	<c:set var="today" value="<%= new Date() %>"/>
	<c:out value="${elfunc:dateFormat(today)}" /> Date Format ƿƼ Ŭ  ޼ҵ Ŀ EL Function 
	</div>

	<hr>
	<div class="container">
	<c:out value="${elfunc:randomNumberBetween(5, 20)}" /> Random Number Between 5~20 ƿƼ Ŭ  ޼ҵ Ŀ EL Function 
	</div>
		
	<hr>
	<tf:footer course="Advanced Java Programming" year="2019" />
</body>
</html>